Bug 219088 - intel8x0 fails to play mono sounds
intel8x0 fails to play mono sounds
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-10 12:10 EST by Steve Hill
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 04:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Hill 2006-12-10 12:10:45 EST
Description of problem:


Version-Release number of selected component (if applicable):
alsa-lib-1.0.12-2.fc6

How reproducible:


Steps to Reproduce:
1. Configure intel8x0 sound card (Intel ICH [NVidia CK8])
2. Try to play a 1-channel audio file using aplay
  
Actual results:
aplay fails to play:

[steve@rivendell ekiga]$ aplay -D hw:1,0 voicemail.wav 
Playing WAVE 'voicemail.wav' : Signed 16 bit Little Endian, Rate 22050 Hz, Mono
aplay: set_params:909: Channels count non available

(this only affects mono audio - stereo works fine)

Expected results:
aplay should play the audio

Additional info:
This completely breaks Ekiga, which returns a very unhelpful "couldn't open
audio device" message.

Fedora 4 on the same hardware works fine, so this is functionality that has been
removed/broken in ALSA.
Comment 1 Martin Stransky 2007-01-23 04:45:01 EST
You have to use the plughw device, so

aplay -D plughw:1,0 voicemail.wav

should works for you.

btw. the default configuration should work too (aplay voicemail.wav).
Comment 2 Steve Hill 2007-03-01 04:59:53 EST
This is a misdiagnosis - I've opened bug #230069 to address the real problem.

Note You need to log in before you can comment on or make changes to this bug.